Whispertrades

Brokers

Updated Jul 11, 2026

GET /v1/broker_connections

Get a single broker connection or a list of all broker connections Auth Required: Read Broker Connections

Path parameters

number string Unique identifier to retrieve a single broker connection. If omitted, all broker connections will be returned

Header parameters

API Token string required Token from your Whispertrades account
curl -X GET "https://api.whispertrades.com/v1/broker_connections" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "API Token: example"
const response = await fetch("https://api.whispertrades.com/v1/broker_connections", {
  method: "GET",
  headers: {
      "Authorization": "Bearer YOUR_TOKEN",
      "API Token": "example"
  }
});
const data = await response.json();
console.log(data);
fetch("https://api.whispertrades.com/v1/broker_connections", {
  method: "GET",
  headers: {
      "Authorization": "Bearer YOUR_TOKEN",
      "API Token": "example"
  }
})
  .then((response) => response.json())
  .then((data) => console.log(data));
import requests

response = requests.get(
    "https://api.whispertrades.com/v1/broker_connections",
    headers={
        "Authorization": "Bearer YOUR_TOKEN",
        "API Token": "example"
    },
)
data = response.json()
print(data)

Response · 200

{
    "success": true,
    "message": "",
    "data": [
        {
            "broker": "Tradier",
            "name": "Personal",
            "number": "S9KFA19AKA",
            "status": "Active",
            "account_number": "123456789",
            "net_liquidation_value": "2207641.60",
            "expires_at": null
        },
        {
            "broker": "tastytrade",
            "name": "Roth IRA",
            "number": "01KF8AK3MN",
            "status": "Inactive",
            "account_number": "987654321",
            "net_liquidation_value": "5210.07",
            "expires_at": null
        },
        {
            "broker": "Schwab",
            "name": "Joint",
            "number": "9AK4019FA1",
            "status": "Active",
            "account_number": "555555555",
            "net_liquidation_value": "158411.49",
            "expires_at": "2024-05-10T20:52:00.000000Z"
        },
    ],
}
PUT /v1/broker_connections/{number}/collateral/rebalance

Rebalance your collateral position for a given broker connection. This requires that the collateral be configured and enabled at Whispertrades. If your current collateral balance is within the minimum and maximum target amounts, a transaction will not happen. Auth Required: Write Broker Connections

Path parameters

number string required Unique identifier for the broker connection to rebalance

Header parameters

API Token string required Token from your Whispertrades account
curl -X PUT "https://api.whispertrades.com/v1/broker_connections/example/collateral/rebalance" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "API Token: example"
const response = await fetch("https://api.whispertrades.com/v1/broker_connections/example/collateral/rebalance", {
  method: "PUT",
  headers: {
      "Authorization": "Bearer YOUR_TOKEN",
      "API Token": "example"
  }
});
const data = await response.json();
console.log(data);
fetch("https://api.whispertrades.com/v1/broker_connections/example/collateral/rebalance", {
  method: "PUT",
  headers: {
      "Authorization": "Bearer YOUR_TOKEN",
      "API Token": "example"
  }
})
  .then((response) => response.json())
  .then((data) => console.log(data));
import requests

response = requests.put(
    "https://api.whispertrades.com/v1/broker_connections/example/collateral/rebalance",
    headers={
        "Authorization": "Bearer YOUR_TOKEN",
        "API Token": "example"
    },
)
data = response.json()
print(data)

Response · 200

{
    "success": true,
    "message": "",
    "data": [],
}

Was this page helpful?